Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:    	This is the ASN.1 library used in GNUTLS. 
Name:      	libtasn1
Version:   	1.5
Release:   	1
Provides:	libtasn1 
License: 	GNU/GPL
URL:		ftp://ftp.gnupg.org/gcrypt/alpha/gnutls/libtasn1/
Group:    	System/Libraries
Source0: 	libtasn1-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Prereq(post,preun): /sbin/install-info
BuildRequires:	glibc-devel


%description
This is the ASN.1 library used in GNUTLS. 

%package	devel
Summary: 	%{name} development headers.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%postun
ldconfig

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
fi 

%prep
%setup -n %{name}-%{version}

%build
./configure --prefix=%_prefix \
--mandir=%_mandir \
--libdir=%_libdir \
--datadir=%_datadir \
--infodir=%_infodir \
--includedir=%_includedir \
--disable-debug
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"

rm $RPM_BUILD_ROOT%_infodir/dir

# FIXME : remove after superkaramba and other dependencies have been updated
ln -s /usr/lib/libtasn1.so.3 $RPM_BUILD_ROOT/usr/lib/libtasn1.so.2
ln -s /usr/lib/libtasn1.so.3.0.2 $RPM_BUILD_ROOT/usr/lib/libtasn1.so.2.0.18


%files
%defattr(-,root,root)
%_libdir/*.so.*
%_infodir
%_mandir

%files devel
%defattr(-,root,root)
%_bindir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so
%_pkgconfig
%_datadir/aclocal
%_includedir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.5-1
- Version Update
* Wed Apr 30 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4-1
- Version Update
* Sat Jan 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.3.8-1
- Version Update
* Wed Aug 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.6-1
- Version Update
* Sat Jul 01 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.5-1
- Version Update
* Tue May 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.4-1
- Version Update
* Sat Mar 25 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.3.2-1
- Version Update
* Fri Feb 10 2006 Christian Wasem <wasem@ccux-linux.de> 0.2.18-2
- added info install
* Fri Feb 10 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.2.18-1
- Version update
* Mon Jun 13 2005 Christian Metzen <metzench@ccux-linux.de> 0.2.13-2
- Cleaned out specfile, moved static libs to devel package
* Sun Jun 12 2005 Karsten Brockmann <arcam@ccux-linux.de> 0.2.13-1
- Version Update to 0.2.13
* Fri Nov 05 2004 Christian Metzen <metzench@ccux-linux.de> 0.2.10-1
- Initial Release
